Get Models

Endpoint

GET /models

Authentication

Required: Authorization header with valid token

Query Parameters

ParameterTypeRequiredDescriptionExample
idsstringNoComma-separated list of UUIDsf964d59c-9c5e-4d60-8949-0206bcc2db30, b49050d7-2b38-4874-bc28-035a95dc0c05
brandIdstringNoBrand UUID53f79939-37ff-4aed-bd7c-a117009e18cd
namestringNoSearching by name (exact match)120K2
updatedAfterdate-timeNoFilter item updated after this date2024-01-01T00:00:00Z
searchstringNoSearch keyword for name (case-insensitive partial match)K2
pagenumberNoPage number (default: 1)1
limitnumberNoItems per page (default: 50)50

Response

Success

{
  "content": [
    "ModelEntity"
  ],
  "total": "number"
}

Response Field Descriptions:

  • content - Array of equipment objects (ModelEntity Schema)
  • total - Total number of equipment matching the query criteria

Example Usage

curl -X GET "https://integration-api.ram.syniotec.com/master-data/v1/equipment-management/models" \
  -H "Authorization: Bearer YOUR_TOKEN"